This web extension demonstrates a problem with web-loaded sidebar pages
that, using a content script, do not receive runtime messages from the
background script.

* At starup, the background script loads a sidebar page hosted at
https://johnt.bitbucket.io/test/sidebar.html (background.js:49)

* The extension loads a content script into the sidebar page.
That content script calls browser.runtime.connect() to initialize
a message port (content-script.js:7).

* The content script then sends a "ready" message (content-script.js:13).

* When that "ready" message is received in the background script,
it intitializes an interval timer (background.js:41) that calls
a sendMessage() function at 1 sec intervals.

* The background sendMessage() function sends a short text message
to the port (background.js:21).

* In the content script, these messages SHOULD trigger calls to an onMessage()
listener that simply copies the message to an input element on the sidebar
page (content-script.js:18). But this listener never gets called.

The attached screenshot files show the sidebar and console
at the end of this test case.