let count = 0;
let timer = null;
let portFromCS = null;


// Posts notification to user
function notifyUser(message) {
  browser.notifications.create({
    "type": "basic",
    "title": "Message",
    "message": `${message}`
  });}


// Sends message to sidebar
function sendMessage() {
  ++count;
  console.log(`Sending count ${count} to sidebar`);

  let message = `The count is now ${count}`;
  portFromCS.postMessage({text: message});

  // Stop after 10 times
  if (count > 9) {
    clearInterval(timer);
    console.log(`browser.runtime.lastError ${browser.runtime.lastError}`);
  }
}


// Handles sidebar connection
function connected(port) {
  console.log("Connected to sidebar");
  portFromCS = port;
  portFromCS.onMessage.addListener(function(message) {
    notifyUser(`Connected to sidebar: ${message.text}`);
    // If input message is the work "ready", start the timer
    // and send messages to the sidebar
    if ('ready' == message.text) {
      count = 0;
      timer = setInterval(sendMessage, 1000);
    }
  });
}
browser.runtime.onConnect.addListener(connected);


// Load the sidebar page
browser.sidebarAction.setPanel({panel: 'https://johnt.bitbucket.io/test/sidebar.html'});

console.log("background.js loaded");
