/*
  Content script that calls runtime.connect to initialize connection
  to background script.
*/

// Initialize connection to background script
var myPort = browser.runtime.connect({name:'sidebar-port'});
if (myPort) {
  document.getElementById('status').value = 'Connected to ' + myPort.name;

  // Send ready message to background scipt (which responds by sending
  // a series of 10 messages).
  myPort.postMessage({text: "ready"});

  // Add listener for messages from the background script
  // THIS LISTENER NEVER GETS CALLED, WHICH IS THE PROBLEM
  myPort.onMessage.addListener(function(message, sender, sendResponse) {
    document.getElementById('received-text').value = message.text;
  });

  if (myPort.error) {
    document.getElementById('received-text').value = myPort.error;
  }
}

// Add logic to send messages TO the background script
// This is just to verify that content-to-background messages work.
const sendButton = document.getElementById('send');
sendButton.addEventListener('click', function(e) {
  const sendingTextInput = document.getElementById('sending-text');
  myPort.postMessage({text: sendingTextInput.value});
});
